# IPFS Community Code of Conduct

We believe that our mission is best served in an environment that is friendly,
safe, and accepting; free from intimidation or harassment.

Towards this end, certain behaviors and practices will not be tolerated.

## tl;dr

- Be respectful.
- We're here to help: abuse@ipfs.io
- Abusive behavior is never tolerated.
- Violations of this code may result in swift and permanent expulsion from the IPFS community.
- "Too long, didn't read" is not a valid excuse for not knowing what is in this document.

## Table of Contents

- [Scope](#scope)
- [Friendly Harassment-Free Space](#friendly-harassment-free-space)
- [Reporting Violations of this Code of Conduct](#reporting-violations-of-this-code-of-conduct)
- [Copyright Violations](#copyright-violations)
- [Consequences](#consequences)
- [Addressing Grievances](#addressing-grievances)
- [Contact Info](#contact-info)
- [Changes](#changes)
- [Credit and License](#credit-and-license)

## Scope

We expect all members of the IPFS community to abide by this Code of Conduct
at all times in all IPFS community venues, online and in person, and in one-on-one
communications pertaining to IPFS affairs.

This policy covers the usage of IPFS public infrastructure, including the
IPFS.io HTTP gateways, as well as other IPFS websites, IPFS related events,
and any other services offered by or on behalf of the IPFS community. It also
applies to behavior in the context of the IPFS Open Source project
communities, including but not limited to public GitHub repositories, IRC
channels, social media, mailing lists, and public events.

This Code of Conduct is in addition to, and does not in any way nullify or
invalidate, any other terms or conditions related to use of IPFS services.

The definitions of various subjective terms such as "discriminatory",
"hateful", or "confusing" will be decided at the sole discretion of the IPFS
abuse team.

## Friendly Harassment-Free Space

We are committed to providing a friendly, safe and welcoming environment for
all, regardless of gender identity, sexual orientation, disability, ethnicity,
religion, age, physical appearance, body size, race, or similar personal
characteristics.

We ask that you please respect that people have differences of opinion
regarding technical choices, and that every design or implementation choice
carries a trade-off and numerous costs. There is seldom a single right answer.
A difference of technology preferences is not a license to be rude.

Any spamming, trolling, flaming, baiting, or other attention-stealing
behavior is not welcome, and will not be tolerated.

Harassing other users is never tolerated, whether via public or private media.

Avoid using offensive or harassing nicknames, or other identifiers that might
detract from a friendly, safe, and welcoming environment for all.

Harassment includes, but is not limited to: harmful or prejudicial verbal or
written comments related to gender identity, sexual orientation, disability,
ethnicity, religion, age, physical appearance, body size, race, or similar
personal characteristics; inappropriate use of nudity, sexual images, and/or
sexually explicit language in public spaces; threats of physical or non-
physical harm; deliberate intimidation, stalking or following; harassing
photography or recording; sustained disruption of talks or other events;
inappropriate physical contact; and unwelcome sexual attention.

Media shared through public infrastructure run by the IPFS team must not
contain illegal or infringing content. You should only publish content via
IPFS public infrastructure if you have the right to do so. This includes
complying with all software license agreements or other intellectual property
restrictions. You will be solely responsible for any violation of laws or
others’ intellectual property rights.

## Reporting Violations of this Code of Conduct

If you believe someone is harassing you or has otherwise violated this Code of
Conduct, please contact us at abuse@ipfs.io to send us an abuse report. If
this is the initial report of a problem, please include as much detail as
possible. It is easiest for us to address issues when we have more context.

## Copyright Violations

We respect the intellectual property of others and ask that you do too. If you
believe any content or other materials available through public IPFS
infrastructure violates a copyright held by you and you would like to submit a
notice pursuant to the Digital Millennium Copyright Act or other similar
international law, you can submit a notice to our agent for service of notice
to: abuse@ipfs.io

(We will add a physical mailing address here when we acquire one).

Please make sure your notice meets the Digital Millennium Copyright Act
requirements.

## Consequences

All content published to public IPFS infrastructure is hosted at the sole
discretion of the IPFS team.

Unacceptable behavior from any community member will not be tolerated.

Anyone asked to stop unacceptable behavior is expected to comply immediately.

If a community member engages in unacceptable behavior, the ipfs team
may take any action they deem appropriate, up to and including a temporary ban
or permanent expulsion from the community without warning (and without refund
in the case of a paid event or service).

## Addressing Grievances

If you feel you have been falsely or unfairly accused of violating this Code
of Conduct, you should notify the IPFS team. We will do our best to ensure
that your grievance is handled appropriately.

In general, we will choose the course of action that we judge as being most in
the interest of fostering a safe and friendly community.

On IRC, let one of the ops know if you think that someone has transgressed
against the Code of Conduct. If you would like to be an op and promise to
help maintain and abide by the code, please let us know.

## Contact Info

Please contact abuse@ipfs.io if you need to report a problem or address a
grievance related to an abuse report.

You are also encouraged to contact us if you are curious about something that
might be "on the line" between appropriate and inappropriate content. We are
happy to provide guidance to help you be a successful part of our community.

## Changes

This is a living document and may be updated from time to time. Please refer
to the git history for this document to view the changes.

## Credit and License
This Code of Conduct is based on the
[npm Code of Conduct](https://www.npmjs.com/policies/conduct).

This document may be reused under a [Creative Commons Attribution-ShareAlike
License](http://creativecommons.org/licenses/by-sa/4.0/).
